Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.wrappers
Class CharWrapper

    java.lang.Object
      org.codehaus.groovy.runtime.wrappers.Wrapper
          org.codehaus.groovy.runtime.wrappers.PojoWrapper
              org.codehaus.groovy.runtime.wrappers.CharWrapper

All Implemented Interfaces:
  GroovyObject

    public class CharWrapper

extends PojoWrapper

Author:
  John Wilson

Field Summary

Fields inherited from class org.codehaus.groovy.runtime.wrappers.PojoWrapper
`delegate, wrapped`

Fields inherited from class org.codehaus.groovy.runtime.wrappers.Wrapper
`constrainedType, delegatingMetaClass`

Constructor Summary
`CharWrapper(char wrapped)`

Method Summary

Methods inherited from class org.codehaus.groovy.runtime.wrappers.PojoWrapper
`getDelegatedMetaClass, getProperty, getWrapped, invokeMethod, setMetaClass, setProperty, unwrap`

Methods inherited from class org.codehaus.groovy.runtime.wrappers.Wrapper
`getMetaClass, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharWrapper

    public CharWrapper(char wrapped)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD